<?php
/** 
* @package	Galeria Suczawa 2009 
* @file		admin/users_delete.php
* @version	$Id$
**/

if (!isset($_GET['id']) || !is_numeric(trim($_GET['id'])))
{
	Przekieruj('index.php?mode=admin_gallery', 'Nieprawidłowy ID użytkownika');
}

$id = intval($_GET['id']);

#sprawdzamy, czy nie usuwam sam siebie :P
$sql = "SELECT * FROM `admins` WHERE `IP`='".$_SERVER['REMOTE_ADDR']."' LIMIT 1;";
if (!$result = $DB->query($sql))
{
	blad('Nie mozna pobrac info o IP administratora');
}
if ($result->num_rows > 0)
{
	$row = $result->fetch_assoc();
	if ($row['id'] == $id)
	{
		Przekieruj('index.php?mode=admin_users', 'Nie możesz usunąć sam siebie!');
	}
}
$result->free_result();
unset($row);

#a teraz czy wogole user istnieje w bazie ;)
$sql = "SELECT * FROM `admins` WHERE `id`='$id';";
if (!$result = $DB->query($sql))
{
	blad('Nie mozna pobrac info o administratorze');
}
if ($result->num_rows == 0)
{
	Przekieruj('index.php?mode=admin_users', 'Użytkownik nie istnieje!');
}
else
{
	$row = $result->fetch_assoc();
}

if (isset($_POST['del']))
{
	$sql = "DELETE FROM `admins` WHERE `id`='$id'";
	if (!$DB->query($sql))
	{
		blad('Nie mozna skasowac administratora!');
		
	}
	Przekieruj('index.php?mode=admin_users', 'Administrator został skasowany. Powrót...');
}
NaglowekPA('Usuń użytkownika');
?>
<br />
<br />
<form action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="POST">
<div style="background-color: yellow">
Czy napewno chcesz skasować użytkownika "<?php echo $row['nick']; ?>"? Zmiany są nieodwracalne!
</div><br />
<input type="hidden" name="del" value="true" />
<input type="submit" value="Dalej" />
</form>
<?php StopkaPA(); ?>